using IRaCIS.Application.Contracts;
using IRaCIS.Core.Infrastructure.Extention;

namespace IRaCIS.Application.Interfaces
{
    public interface ITrialPaymentPriceService
    {
        Task<IResponseOutput> AddOrUpdateTrialPaymentPrice(TrialPaymentPriceCommand addOrUpdateModel);//新增也不需要返回Id，TrialId 也是唯一
        Task<PageOutput<TrialPaymentPriceDTO>> GetTrialPaymentPriceList(TrialPaymentPriceQueryDTO queryParam);


        /// <summary>
        /// 上传入组后的Ack-SOW
        /// </summary>
        Task<IResponseOutput> UploadTrialSOW( TrialSOWPathDTO trialSowPath);



        Task<IResponseOutput> DeleteTrialSOW( DeleteSowPathDTO trialSowPath);
    }
}
